require "Wherigo"
ZonePoint = Wherigo.ZonePoint
Distance = Wherigo.Distance
Player = Wherigo.Player

-- #Author Directives Go Here# --
-- #End Author Directives# --

cartLes5Ponts = Wherigo.ZCartridge()

-- MessageBox Callback Functions Table used by the Builder --
cartLes5Ponts.MsgBoxCBFuncs = {}

zmediaasterixfaux = Wherigo.ZMedia(cartLes5Ponts)
zmediaasterixfaux.Name="asterixfaux"
zmediaasterixfaux.Description=""
zmediaasterixfaux.AltText=""
zmediaasterixfaux.Id="4f19f340-4fb7-4837-8aa1-c968754a3597"
zmediaasterixfaux.Resources = {
{ Type = "jpg", Filename = "1c.jpg", Directives = {},},
}
zmediapatrouille = Wherigo.ZMedia(cartLes5Ponts)
zmediapatrouille.Name="patrouille"
zmediapatrouille.Description=""
zmediapatrouille.AltText=""
zmediapatrouille.Id="09a9310d-f933-49da-8a90-4d853c53fdcf"
zmediapatrouille.Resources = {
{ Type = "jpg", Filename = "2.jpg", Directives = {},},
}
zmedialegionnaireetonne = Wherigo.ZMedia(cartLes5Ponts)
zmedialegionnaireetonne.Name="legionnaireetonne"
zmedialegionnaireetonne.Description=""
zmedialegionnaireetonne.AltText=""
zmedialegionnaireetonne.Id="7b4b0ef2-2dce-443f-946d-df1607a0f392"
zmedialegionnaireetonne.Resources = {
{ Type = "jpg", Filename = "3.jpg", Directives = {},},
}
zmediacharrapide = Wherigo.ZMedia(cartLes5Ponts)
zmediacharrapide.Name="charrapide"
zmediacharrapide.Description=""
zmediacharrapide.AltText=""
zmediacharrapide.Id="20543abc-4f79-4e3a-b72c-00dc565fc6ca"
zmediacharrapide.Resources = {
{ Type = "jpg", Filename = "asterix.jpg", Directives = {},},
}
zmediacamion = Wherigo.ZMedia(cartLes5Ponts)
zmediacamion.Name="camion"
zmediacamion.Description=""
zmediacamion.AltText=""
zmediacamion.Id="bcab21c3-338d-419e-921d-f6930cf4ad3d"
zmediacamion.Resources = {
{ Type = "jpg", Filename = "camion.jpg", Directives = {},},
}
zmediasentinelle = Wherigo.ZMedia(cartLes5Ponts)
zmediasentinelle.Name="sentinelle"
zmediasentinelle.Description=""
zmediasentinelle.AltText=""
zmediasentinelle.Id="07899dc0-4c92-44ca-879a-5220ee8cb77f"
zmediasentinelle.Resources = {
{ Type = "jpg", Filename = "cartapus-encodus.jpg", Directives = {},},
}
zmediacenturion = Wherigo.ZMedia(cartLes5Ponts)
zmediacenturion.Name="centurion"
zmediacenturion.Description=""
zmediacenturion.AltText=""
zmediacenturion.Id="76bf4b70-aa23-4143-bd40-0c48da7a7a65"
zmediacenturion.Resources = {
{ Type = "jpg", Filename = "centurion.jpg", Directives = {},},
}
zmediacharaboeufs = Wherigo.ZMedia(cartLes5Ponts)
zmediacharaboeufs.Name="char a boeufs"
zmediacharaboeufs.Description=""
zmediacharaboeufs.AltText=""
zmediacharaboeufs.Id="26a29178-4655-46c5-b8df-15c1aadca807"
zmediacharaboeufs.Resources = {
{ Type = "jpg", Filename = "charboeufs.jpg", Directives = {},},
}
zmediapelerin = Wherigo.ZMedia(cartLes5Ponts)
zmediapelerin.Name="pelerin"
zmediapelerin.Description=""
zmediapelerin.AltText=""
zmediapelerin.Id="6889531b-1687-4089-a522-a2eeec7729c7"
zmediapelerin.Resources = {
{ Type = "jpg", Filename = "pelerin.jpg", Directives = {},},
}
zmediapontdepart = Wherigo.ZMedia(cartLes5Ponts)
zmediapontdepart.Name="pont depart"
zmediapontdepart.Description=""
zmediapontdepart.AltText=""
zmediapontdepart.Id="2f416da8-b43d-40e9-b50e-609a5c106835"
zmediapontdepart.Resources = {
{ Type = "jpg", Filename = "pont1mini.jpg", Directives = {},},
}
zmediapontrail = Wherigo.ZMedia(cartLes5Ponts)
zmediapontrail.Name="pont rail"
zmediapontrail.Description=""
zmediapontrail.AltText=""
zmediapontrail.Id="671eaed6-61e2-4851-9421-752da99a7d4d"
zmediapontrail.Resources = {
{ Type = "jpg", Filename = "pont2.jpg", Directives = {},},
}
zmedia2emecharboeuf = Wherigo.ZMedia(cartLes5Ponts)
zmedia2emecharboeuf.Name="2eme char boeuf"
zmedia2emecharboeuf.Description=""
zmedia2emecharboeuf.AltText=""
zmedia2emecharboeuf.Id="bddd7f33-a3d5-408f-a405-7ffd296d8f93"
zmedia2emecharboeuf.Resources = {
{ Type = "jpg", Filename = "ponta.jpg", Directives = {},},
}
zmediatravauxpont = Wherigo.ZMedia(cartLes5Ponts)
zmediatravauxpont.Name="travaux pont"
zmediatravauxpont.Description=""
zmediatravauxpont.AltText=""
zmediatravauxpont.Id="ae090f94-d06e-4996-9ad2-d534c3c92319"
zmediatravauxpont.Resources = {
{ Type = "jpg", Filename = "pontb.jpg", Directives = {},},
}
zmediapontbois = Wherigo.ZMedia(cartLes5Ponts)
zmediapontbois.Name="pont bois"
zmediapontbois.Description=""
zmediapontbois.AltText=""
zmediapontbois.Id="f907d0cd-3cc2-43e9-bb6b-5f1afe8912cd"
zmediapontbois.Resources = {
{ Type = "jpg", Filename = "pontc.jpg", Directives = {},},
}
zmedialegionaireetonne = Wherigo.ZMedia(cartLes5Ponts)
zmedialegionaireetonne.Name="legionaire etonne"
zmedialegionaireetonne.Description=""
zmedialegionaireetonne.AltText=""
zmedialegionaireetonne.Id="7a8c47cf-4d2d-48b7-8b29-d21cd15139ca"
zmedialegionaireetonne.Resources = {
{ Type = "jpg", Filename = "pontd.jpg", Directives = {},},
}
zmediapatrouillefrontiere = Wherigo.ZMedia(cartLes5Ponts)
zmediapatrouillefrontiere.Name="patrouille frontiere"
zmediapatrouillefrontiere.Description=""
zmediapatrouillefrontiere.AltText=""
zmediapatrouillefrontiere.Id="0a892fb2-3c67-45f2-a1ee-92e648c8cf9a"
zmediapatrouillefrontiere.Resources = {
{ Type = "jpg", Filename = "ponte.jpg", Directives = {},},
}
zmediacolibrimodif = Wherigo.ZMedia(cartLes5Ponts)
zmediacolibrimodif.Name="colibri modif"
zmediacolibrimodif.Description=""
zmediacolibrimodif.AltText=""
zmediacolibrimodif.Id="ca44362b-1975-4d64-b1e4-5148fd742f6a"
zmediacolibrimodif.Resources = {
{ Type = "jpg", Filename = "sbb_560dol.jpg", Directives = {},},
}
zmediatramjorat = Wherigo.ZMedia(cartLes5Ponts)
zmediatramjorat.Name="tram jorat"
zmediatramjorat.Description=""
zmediatramjorat.AltText=""
zmediatramjorat.Id="441536d1-1288-4872-8e21-29a015ccbafb"
zmediatramjorat.Resources = {
{ Type = "jpg", Filename = "tramjorat.jpg", Directives = {},},
}
zmediatrainfantome = Wherigo.ZMedia(cartLes5Ponts)
zmediatrainfantome.Name="train fantome"
zmediatrainfantome.Description=""
zmediatrainfantome.AltText=""
zmediatrainfantome.Id="077e0ae1-0f45-42f6-ab1a-fbb6a4e6358f"
zmediatrainfantome.Resources = {
{ Type = "jpg", Filename = "train1.jpg", Directives = {},},
}
zmediachar3 = Wherigo.ZMedia(cartLes5Ponts)
zmediachar3.Name="char3"
zmediachar3.Description=""
zmediachar3.AltText=""
zmediachar3.Id="a364f0f2-eb0a-4a77-9350-50ddbbca9dae"
zmediachar3.Resources = {
{ Type = "jpg", Filename = "pontg.jpg", Directives = {},},
}
zmediapontrapide = Wherigo.ZMedia(cartLes5Ponts)
zmediapontrapide.Name="pontrapide"
zmediapontrapide.Description=""
zmediapontrapide.AltText=""
zmediapontrapide.Id="064f4fe4-0b37-4488-9cb2-3a56f36f9cae"
zmediapontrapide.Resources = {
{ Type = "jpg", Filename = "ponta.jpg", Directives = {},},
}
zmediatriomphe = Wherigo.ZMedia(cartLes5Ponts)
zmediatriomphe.Name="triomphe"
zmediatriomphe.Description=""
zmediatriomphe.AltText=""
zmediatriomphe.Id="af47dae4-58a0-4e6f-8cf7-acde13fcd9cc"
zmediatriomphe.Resources = {
{ Type = "jpg", Filename = "pontf.jpg", Directives = {},},
}
zmediaasterixvictoire = Wherigo.ZMedia(cartLes5Ponts)
zmediaasterixvictoire.Name="asterix victoire"
zmediaasterixvictoire.Description=""
zmediaasterixvictoire.AltText=""
zmediaasterixvictoire.Id="9cd7621b-a5b6-40d1-9773-40f016fac675"
zmediaasterixvictoire.Resources = {
{ Type = "jpg", Filename = "victoire.jpg", Directives = {},},
}
zmediacolibri = Wherigo.ZMedia(cartLes5Ponts)
zmediacolibri.Name="colibri"
zmediacolibri.Description=""
zmediacolibri.AltText=""
zmediacolibri.Id="1a91d475-d5e5-4065-89fb-e7483127d87f"
zmediacolibri.Resources = {
{ Type = "jpg", Filename = "sbb_rbde560.jpg", Directives = {},},
}
zmediafillelegion = Wherigo.ZMedia(cartLes5Ponts)
zmediafillelegion.Name="fillelegion"
zmediafillelegion.Description=""
zmediafillelegion.AltText=""
zmediafillelegion.Id="2d6f11a6-712a-445c-9f37-0029c789d9c0"
zmediafillelegion.Resources = {
{ Type = "jpg", Filename = "fillelegion.jpg", Directives = {},},
}
zmediatriomphe2 = Wherigo.ZMedia(cartLes5Ponts)
zmediatriomphe2.Name="triomphe2"
zmediatriomphe2.Description=""
zmediatriomphe2.AltText=""
zmediatriomphe2.Id="c84d3737-c46a-48de-9d64-8fb1e967820a"
zmediatriomphe2.Resources = {
{ Type = "jpg", Filename = "victoire2.jpg", Directives = {},},
}
zmediagenerique = Wherigo.ZMedia(cartLes5Ponts)
zmediagenerique.Name="generique"
zmediagenerique.Description=""
zmediagenerique.AltText=""
zmediagenerique.Id="a8a1cda2-b07b-4908-a8b9-81b4303e0f2d"
zmediagenerique.Resources = {
{ Type = "mp3", Filename = "generique.mp3", Directives = {},},
}
zmediaasteirxsono = Wherigo.ZMedia(cartLes5Ponts)
zmediaasteirxsono.Name="asteirxsono"
zmediaasteirxsono.Description="un pti son"
zmediaasteirxsono.AltText=""
zmediaasteirxsono.Id="08f53846-7cd1-4046-b298-adec483e1ab0"
zmediaasteirxsono.Resources = {
{ Type = "mp3", Filename = "asterix.mp3", Directives = {},},
}
-- Cartridge Info --
cartLes5Ponts.Id="206fa38c-7c51-450a-ac53-4c03fa5b20b1"
cartLes5Ponts.Name="Les 5 Ponts"
cartLes5Ponts.Description=[[Decouvrez les 5 ponts de Bressonaz. Au travers de l'Histoire, apprenez a connaitre quelques details sur les transports de la region qui les empruntaient. Nul besoin de WI-FI, d'encyclopedie en ligne, de wikipedia. Utilisez votrr flaire et votre logique pour repondre aux questions posees par les gardiens de differents ponts.  Lorem thesaurum venator! Di vobiscum Proficiunt in investigatione tua! Mercurii te iuvat currere ieiunium sicut ventus, Quod Diane dat eius intelligentia et sensu de venatione. Et per Toutatis Panomarix quod druidae dat sapientia]]
cartLes5Ponts.Visible=true
cartLes5Ponts.Activity="Geocache"
cartLes5Ponts.StartingLocationDescription=[[]]
cartLes5Ponts.StartingLocation = ZonePoint(46.652378,6.790676,0)
cartLes5Ponts.Version=""
cartLes5Ponts.Company=""
cartLes5Ponts.Author="Cougard"
cartLes5Ponts.BuilderVersion="2.0.5129.5086"
cartLes5Ponts.CreateDate="8/28/2011 10:05:43 AM"
cartLes5Ponts.PublishDate="6/7/2012 6:53:21 PM"
cartLes5Ponts.UpdateDate="5/4/2012 12:01:31 PM"
cartLes5Ponts.LastPlayedDate="1/1/0001 12:00:00 AM"
cartLes5Ponts.TargetDevice="PocketPC"
cartLes5Ponts.TargetDeviceVersion="0"
cartLes5Ponts.StateId="1"
cartLes5Ponts.CountryId="2"
cartLes5Ponts.Complete=false
cartLes5Ponts.UseLogging=false
cartLes5Ponts.Media=zmediapontdepart

-- Zones --
zonePontA = Wherigo.Zone(cartLes5Ponts)
zonePontA.Id="3d995bae-6419-4ce1-9da3-1351470b485d"
zonePontA.Name="Pont A"
zonePontA.Description=[[Premier pont de la quete. Rendez-vous sur place. A proximite du passage routier. Peut-on le considerer comme un 6eme pont... Peut-etre, mais dans le cadre de cette cartouche il est pris comme un seul ouvrage. Ne quittez pas la route pour y acceder. Le point de reference se trouve sur la route et a ses abord. Ne vous engagez pas sur la voie de communication.]]
zonePontA.Visible=false
zonePontA.DistanceRange = Distance(-1, "meters")
zonePontA.ShowObjects="OnProximity"
zonePontA.ProximityRange = Distance(25, "meters")
zonePontA.AllowSetPositionTo=false
zonePontA.Active=false
zonePontA.Points = {
  ZonePoint(46.65171,6.79252,0),
  ZonePoint(46.65171,6.79275,0),
  ZonePoint(46.65155,6.79275,0),
  ZonePoint(46.65155,6.79252,0)
}
zonePontA.OriginalPoint = ZonePoint(46.6516333262126,6.79263331095378,0)
zonePontA.DistanceRangeUOM = "Meters"
zonePontA.ProximityRangeUOM = "Meters"
zonePontA.OutOfRangeName = ""
zonePontA.InRangeName = ""
zonePontA.Media=zmediapontrail

zonePontB = Wherigo.Zone(cartLes5Ponts)
zonePontB.Id="705ec66b-89af-4942-90e0-b1a11f1771b3"
zonePontB.Name="Pont B"
zonePontB.Description=[[Pont construit vraissemblablement au 18eme siecle pour la nouvelle route Moudon . Vevey. Il remplace le pont voisin pour absorber un traffic plus lourd et plus nombreux. ]]
zonePontB.Visible=false
zonePontB.DistanceRange = Distance(-1, "meters")
zonePontB.ShowObjects="OnProximity"
zonePontB.ProximityRange = Distance(25, "meters")
zonePontB.AllowSetPositionTo=false
zonePontB.Active=false
zonePontB.Points = {
  ZonePoint(46.6507,6.79122,0),
  ZonePoint(46.6507,6.79136,0),
  ZonePoint(46.6506,6.79136,0),
  ZonePoint(46.6506,6.79122,0)
}
zonePontB.OriginalPoint = ZonePoint(46.650648,6.791293,0)
zonePontB.DistanceRangeUOM = "Meters"
zonePontB.ProximityRangeUOM = "Meters"
zonePontB.OutOfRangeName = ""
zonePontB.InRangeName = ""
zonePontB.Media=zmediacharaboeufs

zonePontC = Wherigo.Zone(cartLes5Ponts)
zonePontC.Id="5d453dc5-9784-4c9c-8254-658fa220768b"
zonePontC.Name="Pont C"
zonePontC.Description=[[Un pont ayant conserve son aspect d'origine. Malgre son architecture il n'est pas un pont romain.... Construit en pierre en 1701 apres que le pont en bois aie ete detruit par une crue. Observez la stelle gravee en latin. Comptez les lettres en majuscules pour leur valeur latine (M pour 1000 par exemple) et additionnez ces nombres. Vous obtiendrez 1701, annee de sa construction. On denomme ce systeme "Chronogramme". Le texte rapelle que les Bernois payerent la facture de ce pont dans leurs terres.  Ce texte chante aussi les louanges de M. Frisching, tresorier payeur bernois de l'epoque.]]
zonePontC.Visible=false
zonePontC.DistanceRange = Distance(-1, "meters")
zonePontC.ShowObjects="OnProximity"
zonePontC.ProximityRange = Distance(25, "meters")
zonePontC.AllowSetPositionTo=false
zonePontC.Active=false
zonePontC.Points = {
  ZonePoint(46.65073,6.79062,0),
  ZonePoint(46.65073,6.79081,0),
  ZonePoint(46.6506,6.79081,0),
  ZonePoint(46.6506,6.79062,0)
}
zonePontC.OriginalPoint = ZonePoint(46.6506666819255,6.79071667989095,0)
zonePontC.DistanceRangeUOM = "Meters"
zonePontC.ProximityRangeUOM = "Meters"
zonePontC.OutOfRangeName = ""
zonePontC.InRangeName = ""
zonePontC.Media=zmediatravauxpont

zonePontD = Wherigo.Zone(cartLes5Ponts)
zonePontD.Id="ea9296f8-7fbf-453c-90df-55389854e6f7"
zonePontD.Name="Pont D"
zonePontD.Description=[[Un pont qui a perdu son arche, mais conserve sa stelle ! Construit en 1698, il a ete transforme en 1902 pour l'ouverture de la ligne de tramways du Jorat reliant Lausanne - Meziere - Moudon via Chalet-a-Gobet- Servion et les Cullayes. L'exploitation du tramways se termina en 1962. En 1528 on trouve trace de l'appel d'offre pour ce chantier. En 1701 un guide touristique glorifiat la longueur considerable de cet ouvrage et sa solidite exceptionnelle ! Deux stele en latin figurent encore sur ce pont. La premiere monter un chronogramme comme observez precedemment. Pour la 2eme prenez contact avec Cougard pour la traduction trop longue a expliquer ici. Prenez garde au trafic routier en observant celles-ci.]]
zonePontD.Visible=false
zonePontD.DistanceRange = Distance(-1, "meters")
zonePontD.ShowObjects="OnProximity"
zonePontD.ProximityRange = Distance(25, "meters")
zonePontD.AllowSetPositionTo=false
zonePontD.Active=false
zonePontD.Points = {
  ZonePoint(46.65201,6.79125,0),
  ZonePoint(46.65201,6.79148,0),
  ZonePoint(46.65185,6.79148,0),
  ZonePoint(46.65185,6.79125,0)
}
zonePontD.OriginalPoint = ZonePoint(46.6519333521525,6.79136664072673,0)
zonePontD.DistanceRangeUOM = "Meters"
zonePontD.ProximityRangeUOM = "Meters"
zonePontD.OutOfRangeName = ""
zonePontD.InRangeName = ""
zonePontD.Media=zmediatramjorat

zonePontE = Wherigo.Zone(cartLes5Ponts)
zonePontE.Id="34550561-f76c-4b68-a246-0d9fe145987c"
zonePontE.Name="Pont E"
zonePontE.Description=[[le plus moderne des ponts du site. Il a ete construit pour l'ouverture de la Route Nationale Lausanne - Bern via Moudon - Payerne. Les routes nationales etaient l'"ancetre" des autoroutes. Celle-ci date de l'"expo 64". Destinee aux Bernois, et aux Suisses allemands en generale, pour rejoindre Lausanne ou se deroulait cette exposition nationale. Mais, ironie de l'Histoire, cette route reprends le trace de l'ancienne route d'avant 1540. En cette date le pont en bois du site fut remplace par les ponts sur la Carrouge que vous avez visite auparavent. ]]
zonePontE.Visible=false
zonePontE.DistanceRange = Distance(-1, "meters")
zonePontE.ShowObjects="OnProximity"
zonePontE.ProximityRange = Distance(25, "meters")
zonePontE.AllowSetPositionTo=false
zonePontE.Active=false
zonePontE.Points = {
  ZonePoint(46.6525,6.7893,0),
  ZonePoint(46.6525,6.78953,0),
  ZonePoint(46.65234,6.78953,0),
  ZonePoint(46.65234,6.7893,0)
}
zonePontE.OriginalPoint = ZonePoint(46.6524166742961,6.78941669464111,0)
zonePontE.DistanceRangeUOM = "Meters"
zonePontE.ProximityRangeUOM = "Meters"
zonePontE.OutOfRangeName = ""
zonePontE.InRangeName = ""
zonePontE.Media=zmediapontrapide

zoneFinale = Wherigo.Zone(cartLes5Ponts)
zoneFinale.Id="97c6421c-4ff1-4e66-a95f-0f6be072a489"
zoneFinale.Name="Finale"
zoneFinale.Description=[[Enfin, vous pouvez aller chercher votre recompense.]]
zoneFinale.Visible=false
zoneFinale.DistanceRange = Distance(-1, "meters")
zoneFinale.ShowObjects="OnProximity"
zoneFinale.ProximityRange = Distance(25, "meters")
zoneFinale.AllowSetPositionTo=false
zoneFinale.Active=false
zoneFinale.Points = {
  ZonePoint(46.65208,6.79143,0),
  ZonePoint(46.65208,6.79157,0),
  ZonePoint(46.65199,6.79157,0),
  ZonePoint(46.65199,6.79143,0)
}
zoneFinale.OriginalPoint = ZonePoint(46.6520333607992,6.79150002797445,0)
zoneFinale.DistanceRangeUOM = "Meters"
zoneFinale.ProximityRangeUOM = "Meters"
zoneFinale.OutOfRangeName = ""
zoneFinale.InRangeName = ""
zoneFinale.Media=zmediatriomphe

-- Characters --

-- Items --

-- Tasks --
ztaskgopa = Wherigo.ZTask(cartLes5Ponts)
ztaskgopa.Id="81c06a57-2e79-41a7-9b3e-a434590de566"
ztaskgopa.Name="gopa"
ztaskgopa.Description=[[]]
ztaskgopa.Visible=true
ztaskgopa.Active=true
ztaskgopa.Complete=false
ztaskgopa.CorrectState = "None"

ztaskgopb = Wherigo.ZTask(cartLes5Ponts)
ztaskgopb.Id="1e8bd2a2-2fe1-43f6-8b28-52570fd13dd5"
ztaskgopb.Name="gopb"
ztaskgopb.Description=[[]]
ztaskgopb.Visible=true
ztaskgopb.Active=true
ztaskgopb.Complete=false
ztaskgopb.CorrectState = "None"

ztaskgopc = Wherigo.ZTask(cartLes5Ponts)
ztaskgopc.Id="d2536623-a787-4983-855d-f927d79b6d05"
ztaskgopc.Name="gopc"
ztaskgopc.Description=[[]]
ztaskgopc.Visible=true
ztaskgopc.Active=true
ztaskgopc.Complete=false
ztaskgopc.CorrectState = "None"

ztaskgopd = Wherigo.ZTask(cartLes5Ponts)
ztaskgopd.Id="afe1631f-7469-46fd-bca4-5ab866747629"
ztaskgopd.Name="gopd"
ztaskgopd.Description=[[]]
ztaskgopd.Visible=true
ztaskgopd.Active=true
ztaskgopd.Complete=false
ztaskgopd.CorrectState = "None"

ztaskgofinaler = Wherigo.ZTask(cartLes5Ponts)
ztaskgofinaler.Id="53aec6f7-8d30-4fa3-9ead-60324a10375c"
ztaskgofinaler.Name="gofinaler"
ztaskgofinaler.Description=[[]]
ztaskgofinaler.Visible=true
ztaskgofinaler.Active=true
ztaskgofinaler.Complete=false
ztaskgofinaler.CorrectState = "None"

ztaskgope = Wherigo.ZTask(cartLes5Ponts)
ztaskgope.Id="7e80f126-a462-41d7-8904-d372ab1e2623"
ztaskgope.Name="gope"
ztaskgope.Description=[[]]
ztaskgope.Visible=true
ztaskgope.Active=true
ztaskgope.Complete=false
ztaskgope.CorrectState = "None"

-- Cartridge Variables --
riviere = ""
jules = ""
complet = ""
compteur = 0
cartLes5Ponts.ZVariables = {riviere = "", jules = "", complet = "", compteur = 0}

-- Builder Variables (to be read by the builder only) --
buildervar = {}
buildervar.riviere = {}
buildervar.riviere.Id ="65b8829f-3c83-4a4e-b192-795d52ca30cf"
buildervar.riviere.Name = "riviere"
buildervar.riviere.Type = "String"
buildervar.riviere.Data=[[]]
buildervar.riviere.Description=[[]]

buildervar.jules = {}
buildervar.jules.Id ="ddd8a491-ce85-4d01-a03b-42f23d667f94"
buildervar.jules.Name = "jules"
buildervar.jules.Type = "String"
buildervar.jules.Data=[[]]
buildervar.jules.Description=[[]]

buildervar.complet = {}
buildervar.complet.Id ="69314e8e-aca2-4e8f-9553-3e27c6f9fecf"
buildervar.complet.Name = "complet"
buildervar.complet.Type = "String"
buildervar.complet.Data=[[]]
buildervar.complet.Description=[[]]

buildervar.compteur = {}
buildervar.compteur.Id ="0bd542f2-9637-4792-96fb-5877ab1ce403"
buildervar.compteur.Name = "compteur"
buildervar.compteur.Type = "Number"
buildervar.compteur.Data=[[0]]
buildervar.compteur.Description=[[]]


-- ZTimers --

-- Inputs --
zinputriviere = Wherigo.ZInput(cartLes5Ponts)
zinputriviere.Id="65246eb6-3699-437b-87e4-6e74e9a63c44"
zinputriviere.Name="riviere"
zinputriviere.Description=[[Quel est l'intrus ? La ....]]
zinputriviere.Visible=true
zinputriviere.Choices = {"CARROUGE", "BROYE", "VENOGE", "BRESSONNAZ"}
zinputriviere.InputType="MultipleChoice"
zinputriviere.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputriviere.Text=[[]]
zinputriviere.Media=zmediapontbois

zinputjule = Wherigo.ZInput(cartLes5Ponts)
zinputjule.Id="57e82c54-3723-4529-be9d-0f6c01ffb7b1"
zinputjule.Name="jule"
zinputjule.Description=[[Quel est ce mot de passe ?]]
zinputjule.Visible=true
zinputjule.Choices = {"FLUCUAT NEC VERGETUR", "Tu sais ou tu peut te la mettre ta Brassica", "VENI, VIDI, VICI", "ITE MISSA EST"}
zinputjule.InputType="MultipleChoice"
zinputjule.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputjule.Text=[[]]
zinputjule.Media=zmediacenturion

zinputpont9 = Wherigo.ZInput(cartLes5Ponts)
zinputpont9.Id="bf6c18d3-fd92-4726-b32c-dbf4e739910f"
zinputpont9.Name="pont9"
zinputpont9.Description=[[completez le nombre 9..]]
zinputpont9.Visible=true
zinputpont9.InputType="Text"
zinputpont9.InputVariableId="00000000-0000-0000-0000-000000000000"
zinputpont9.Text=[[]]

--
-- Events/Conditions/Actions --
--

-------------------------------------------------------------------------------
------Builder Generated functions, Do not Edit, this will be overwritten------
-------------------------------------------------------------------------------

function cartLes5Ponts:OnStart()
-- #GroupDescription=dpcartouche --
-- #Comment=dpcartouche Comment --
zonePontA.Active = true
zonePontA.Visible = true
ztaskgopa.Active = true
ztaskgopa.Visible = true
Wherigo.PlayAudio(zmediagenerique)
Wherigo.MessageBox{Text=[[Halte ! Avant de commencer votre promenade vous devrez repondre correctement a une question pour obtenir votre premier point. Pour etre en droit d'acceder a la cache finale vous devrez cumuler un nombre suffisant de point. Si vous ne repondez pas correctement a une ou plusieurs question(s) je vous en poserais d'autres plus tard afin de vous liberer l'acces au lieu final ! Quelle riviere ne passe pas dans la region ? (dans une rayon de 6 km)]],Media=zmediasentinelle,Buttons={"La Sarine","La Merine",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB2}
end

function zinputriviere:OnGetInput(input)
-- #GroupDescription=inputriviere --
-- #Comment=inputriviere Comment --
if   Wherigo.NoCaseEquals(riviere,"VENOGE") then
compteur = compteur + 1
Wherigo.MessageBox{Text=[[BRAVO vois votre premier point. Passons au premier pont]],Media=zmediaasterixvictoire,Buttons={"j'y vais",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB3}
else
Wherigo.MessageBox{Text=[[Desole il s'agissait de la Venoge. C'est la seule riviere qui ne ne joint pas aux autres ici. La Bressonaz se jette dans la Carrouge qui se jette dans la Broyes. BOn je vous donne une 2eme chance d'obtenir un point. Dans quel canton etes-vous ?]],Media=zmediaasterixfaux,Buttons={"Fribourg","Vaud",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB1}
end
end

function zonePontA:OnExit()
-- #GroupDescription=sortiea --
-- #Comment=sortiea Comment --
ztaskgopa.Complete = true
ztaskgopa.CorrectState = "correct"
cartLes5Ponts:RequestSync()
end

function zonePontA:OnEnter()
-- #GroupDescription=entrea --
-- #Comment=entrea Comment --
zonePontB.Active = true
zonePontB.Visible = true
ztaskgopb.Active = true
ztaskgopb.Visible = true
Wherigo.MessageBox{Text=[[Construit  en 1876  (La ligne Palezieux - Moudon - Payerne a ete inauguree le 25 aout) ce pont a ete concut pour des trains de quelques dizaines de tonnes et des locomotives d'un poid inferieur a 30 tonnes et 14 tonnes / essieux. Aujourd'hui il absorde sans broncher des machines de 120 tonnes, ou des wagons de 22,5 tonnes / essieux. Les ingenieurs ne disposant pas de calculatrice, de systemes de mesure modernes preferaient prevoir large et multiplier les chiffres par deux. Nombre de ponts ferroviaires ont plus d'un siecle et portent , malgre le poids des ans, les charges des trains modernes. Pret pour votre  2eme question ?]],Media=zmediatrainfantome,Buttons={"oui",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB4}
end

function zonePontB:OnExit()
-- #GroupDescription=dpponb --
-- #Comment=dpponb Comment --
ztaskgopb.Complete = true
ztaskgopb.CorrectState = "correct"
cartLes5Ponts:RequestSync()
end

function zonePontB:OnEnter()
-- #GroupDescription=entreponb --
-- #Comment=entreponb Comment --
zonePontC.Active = true
zonePontC.Visible = true
ztaskgopc.Active = true
ztaskgopc.Visible = true
Wherigo.MessageBox{Text=[[Bonjour, je suis Jean Naimard. Je me rends en pelerinage pour obtenir le pardon d'une petite escroquerie que j'ai commise. Je dois parcourir a pied une route connue encore a votre epoque. Quelques milliers de lieux a parcourir a pied uniquement. A votre epoque, vous devriez ne parcourir que 100 de vos kilometres pour valider votre pelerinage. Le signe de reconnaissance que je dois rapporter est un coquillage. Mais quel est ce pelerinage ? Il passsait dans cette region en provenance de Romont. Mais sur lequel des ponts... Vraissemblablement pas celui-ci. Il est trop moderne pour moi.  En quel lieux dois-je me rendre ?]],Media=zmediapelerin,Buttons={"Lourdes","St Jacques de Compostelle",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB9}
end

function zonePontC:OnExit()
-- #GroupDescription=sortiec --
-- #Comment=sortiec Comment --
ztaskgopc.Complete = true
ztaskgopc.CorrectState = "correct"
cartLes5Ponts:RequestSync()
end

function zonePontC:OnEnter()
-- #GroupDescription=enterc --
-- #Comment=enterc Comment --
zonePontD.Active = true
zonePontD.Visible = true
ztaskgopd.Active = true
ztaskgopd.Visible = true
Wherigo.PlayAudio(zmediaasteirxsono)
Wherigo.MessageBox{Text=[[HALTE ! MOT DE PASSE  ? ]],Media=zmediacenturion,Buttons={"euh je tente de repondre",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB16}
end

function zinputjule:OnGetInput(input)
-- #GroupDescription=repmot --
-- #Comment=repmot Comment --
if   not Wherigo.NoCaseEquals(jules,"VENI, VIDI, VICI") then
Wherigo.MessageBox{Text=[[ouille, je vais tente de convaincre le centurion de vous laisser passer.]],Media=zmedialegionaireetonne,Buttons={"merci !",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB22}
else
compteur = compteur + 1
Wherigo.MessageBox{Text=[[C'est bon, vous pouvez passer.. Je vous laisse rejoindre le pont suivant]],Media=zmediacenturion,Buttons={"merci",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB17}
end
end

function zoneFinale:OnEnter()
-- #GroupDescription=finale --
-- #Comment=finale Comment --
Wherigo.MessageBox{Text=[[Chercher une boîte de taille moyenne dans une niche partiellement entourée de lierre. Cliquez des que vous l'avez trouvee. Vous pourrez ainsi loguer la cartouche wherigo comme complete sur le site.  N'hesitez pas a grimper sur le jaune. Si d'aventure vous ne pouvez atteindre la cache, veuillez envoyer un message prive au owner avec le nombre figurant sur le "jaune". S'il est correct vous pourrez alors logguer sur le site. Un sms au 078 668 29 03 est aussi autorise avant de loguer lectroniquement.]],Media=zmediatriomphe2,Buttons={"J'ai trouve !",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB18}
end

function zonePontD:OnExit()
-- #GroupDescription=dpd --
-- #Comment=dpd Comment --
ztaskgopd.Complete = true
ztaskgopd.CorrectState = "correct"
cartLes5Ponts:RequestSync()
end

function zonePontE:OnExit()
-- #GroupDescription=dpe --
-- #Comment=dpe Comment --
ztaskgope.Complete = true
ztaskgope.CorrectState = "correct"
cartLes5Ponts:RequestSync()
end

function zonePontD:OnEnter()
-- #GroupDescription=entere --
-- #Comment=entere Comment --
zonePontE.Active = true
zonePontE.Visible = true
ztaskgope.Active = true
ztaskgope.Visible = true
Wherigo.MessageBox{Text=[[Sur ce pont vous ne resterez pas longtemps. Trouvez les chiffres qui manque au 9 ??]],Media=zmediapontbois,Buttons={"32","75",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB24}
end

function zonePontE:OnEnter()
-- #GroupDescription=entreeef --
-- #Comment=entreeef Comment --
zoneFinale.Active = true
zoneFinale.Visible = true
ztaskgofinaler.Active = true
ztaskgofinaler.Visible = true
if   compteur ~= 5 then
Wherigo.MessageBox{Text=[[Humm il me semble qu'il vous manque quelques bonnes reponses.  Vous devrez regler ce petit soucis avant de continuer votre voyage vers la finale. Quelle est la riviere qui coule a vos pieds ?La]],Media=zmediafillelegion,Buttons={"La Carrouge","La Broye",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB29}
else
Wherigo.MessageBox{Text=[[BRAVO vous avez le nombre de points requis pour finir votre promenade. Alors je ne vous fais pas perdre plsu de temps. Rejoingnez la cache finale.]],Media=zmediatriomphe2,Buttons={"on fonce...",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB28}
end
end

function ztaskgopa:OnClick()
-- #GroupDescription=taska --
-- #Comment=taska Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontA)
end

function ztaskgopb:OnClick()
-- #GroupDescription=tagob --
-- #Comment=tagob Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontB)
end

function ztaskgopc:OnClick()
-- #GroupDescription=gopc --
-- #Comment=gopc Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontC)
end

function ztaskgopd:OnClick()
-- #GroupDescription=gopd --
-- #Comment=gopd Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontD)
end

function ztaskgope:OnClick()
-- #GroupDescription=gope --
-- #Comment=gope Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontE)
end

function ztaskgofinaler:OnClick()
-- #GroupDescription=gifin --
-- #Comment=gifin Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneFinale)
end

function zinputpont9:OnGetInput(input)
-- #GroupDescription=rep9 --
-- #Comment=rep9 Comment --
if   not Wherigo.NoCaseEquals(complet,"75") then
Wherigo.MessageBox{Text=[[Eh oh !!! Vous etes sure de ne pas avoir trouve la plaque ??? ]],Media=zmedialegionnaireetonne,Buttons={"non","euhh oui juste",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB26}
else
compteur = compteur + 1
Wherigo.MessageBox{Text=[[braov encor eun point ! Et vous avez le droit de continuer]],Media=zmediaasterixvictoire,Buttons={"chouette",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB27}
end
end
------End Builder Generated functions, Do not Edit, this will be overwritten------
-------------------------------------------------------------------------------
------Builder Generated callbacks, Do not Edit, this will be overwritten------
-------------------------------------------------------------------------------
--#LASTCALLBACKKEY=43#--
cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB3 = function(action)
if action ~= nil then
-- #GroupDescription=goponta --
-- #Comment=goponta Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontA)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB10 = function(action)
if action ~= nil then
-- #GroupDescription=godfp --
-- #Comment=godfp Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontA)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB11 = function(action)
if action ~= nil then
-- #GroupDescription=lasuitefab --
-- #Comment=lasuitefab Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontA)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB12 = function(action)
if action ~= nil then
-- #GroupDescription=zut --
-- #Comment=zut Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontB)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB13 = function(action)
if action ~= nil then
-- #GroupDescription=suitevrfa --
-- #Comment=suitevrfa Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontB)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB14 = function(action)
-- #GroupDescription=tension --
-- #Comment=tension Comment --
if   action == "Button1" then
Wherigo.MessageBox{Text=[[Soyez franc : Ce n'est pas votre domaine de predilection. Nous verrons plus tard pour trouver des points.]],Media=zmediaasterixfaux,Buttons={"zut alors",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB12}
else
compteur = compteur + 1
Wherigo.MessageBox{Text=[[BRavo vous avez recupere votre point dans ce domaine. Passons au pont suivant]],Media=zmediaasterixvictoire,Buttons={"la suite",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB13}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB17 = function(action)
if action ~= nil then
-- #GroupDescription=merci --
-- #Comment=merci Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontD)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB19 = function(action)
if action ~= nil then
-- #GroupDescription=mercitrom --
-- #Comment=mercitrom Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontD)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB20 = function(action)
if action ~= nil then
-- #GroupDescription=jepars --
-- #Comment=jepars Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontD)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB21 = function(action)
-- #GroupDescription=rep2rom --
-- #Comment=rep2rom Comment --
if   action == "Button1" then
Wherigo.MessageBox{Text=[[vraiment pas de chance... Vous ne vous souveniez pas d'Aventicum ??? Bon ce n'est pas grave on vous laisser aller. Vous ne ressemblez pas a des Barbares....]],Media=zmediaasterixfaux,Buttons={"merci",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB19}
else
compteur = compteur + 1
Wherigo.MessageBox{Text=[[BRAVO !! Non seulement vous pouvez passer, mais vous gagnez un precieux point...]],Media=zmediaasterixvictoire,Buttons={"ouff je pars de suite...",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB20}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB22 = function(action)
if action ~= nil then
-- #GroupDescription=convai --
-- #Comment=convai Comment --
Wherigo.MessageBox{Text=[[Halte... Le legionnaire m'a convaincu de vous laisser une autre chance.... Repondez a cette question : Quelle etais la capitale de l'Helvetie romaine ?]],Media=zmediapatrouillefrontiere,Buttons={"Vindonessa","Aventicum",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB21}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB25 = function(action)
if action ~= nil then
-- #GroupDescription=continue --
-- #Comment=continue Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontE)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB26 = function(action)
-- #GroupDescription=repcomploui --
-- #Comment=repcomploui Comment --
if   action == "Button2" then
Wherigo.GetInput(zinputpont9)
else
Wherigo.MessageBox{Text=[[ok alors tant pis vous trouverez un autre point plus loin.]],Media=zmediaasterixfaux,Buttons={"je continue",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB25}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB27 = function(action)
if action ~= nil then
-- #GroupDescription=chouette --
-- #Comment=chouette Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontE)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB30 = function(action)
if action ~= nil then
-- #GroupDescription=merci --
-- #Comment=merci Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneFinale)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB31 = function(action)
if action ~= nil then
-- #GroupDescription=mercibis --
-- #Comment=mercibis Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneFinale)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB32 = function(action)
if action ~= nil then
-- #GroupDescription=assez --
-- #Comment=assez Comment --
if   compteur ~= 5 then
Wherigo.MessageBox{Text=[[ouaiss je serais sympa... Allez-y mais ne trichez plus...]],Buttons={"merci",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB30}
else
Wherigo.MessageBox{Text=[[Bravo vous pouvez y aller !]],Media=zmediatriomphe,Buttons={"chouette",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB31}
end
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB34 = function(action)
if action ~= nil then
-- #GroupDescription=merciccc --
-- #Comment=merciccc Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneFinale)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB1 = function(action)
-- #GroupDescription=suiterivfau --
-- #Comment=suiterivfau Comment --
if   action == "Button1" then
Wherigo.MessageBox{Text=[[Desole. Encore une erreur ! Ce n'est pas grave, vous pourrez le gagner ulterieurement !]],Media=zmediaasterixfaux,Buttons={"la suite",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB11}
else
compteur = compteur + 1
Wherigo.MessageBox{Text=[[Bravo vous avez votre point. VOus avez gagne votre point et le droit de commencer a chasserg]],Media=zmediaasterixvictoire,Buttons={"GO",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB10}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB38 = function(action)
if action ~= nil then
-- #GroupDescription=goponrail --
-- #Comment=goponrail Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontA)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB40 = function(action)
if action ~= nil then
-- #GroupDescription=jevois --
-- #Comment=jevois Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontA)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB41 = function(action)
if action ~= nil then
-- #GroupDescription=tchou --
-- #Comment=tchou Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontA)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB39 = function(action)
-- #GroupDescription=cantonalor --
-- #Comment=cantonalor Comment --
if   action == "Button2" then
compteur = compteur + 1
Wherigo.MessageBox{Text=[[Bravo voici votre premier point. Rendez-nous vers le premier pont]],Media=zmediapontrail,Buttons={"Je le vois",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB40}
else
Wherigo.MessageBox{Text=[[Tans pis, vous vous ratraperez ulterieurement. Passons au premier pont ....]],Media=zmediaasterixfaux,Buttons={"tchou tchou j'y vais",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB41}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB5 = function(action)
if action ~= nil then
-- #GroupDescription=railouautre --
-- #Comment=railouautre Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontB)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB23 = function(action)
if action ~= nil then
-- #GroupDescription=goponvnb --
-- #Comment=goponvnb Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontB)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB6 = function(action)
-- #GroupDescription=repcolibri --
-- #Comment=repcolibri Comment --
if   action == "Button2" then
Wherigo.MessageBox{Text=[[Et non il 'sagissait des rames "DOMINO". Les automotrices et les voitures pilotes sont issues des rames regionales "Colibri" et les voitures ont ete livrees entre 2008 et 2011. Vous n'obtenez pas le point. Vous aurez une autre occasion de gagner un point dans un autre domaine dans un prochain poste]],Media=zmediacolibri,Buttons={"la suite",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB5}
else
compteur = compteur + 1
Wherigo.MessageBox{Text=[[BRAVO. Ces automotrices et les voitures pilotes sont issues des rames regionales "Colibris" et les voitures furent livrees entre 2008 et 2011. Passons au pont suivant]],Media=zmediacolibri,Buttons={"on y va",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB23}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB4 = function(action)
if action ~= nil then
-- #GroupDescription=ouirail --
-- #Comment=ouirail Comment --
Wherigo.MessageBox{Text=[[Quel est le surnom des rames CFF assurant une partie du trafic voyageurs de cette ligne sous la designation de ligne "S21" Lausanne - Payerne ?]],Media=zmediacolibrimodif,Buttons={"des Dominos","des Pabos",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB6}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB8 = function(action)
if action ~= nil then
-- #GroupDescription=gosuitebv --
-- #Comment=gosuitebv Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontC)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB42 = function(action)
if action ~= nil then
-- #GroupDescription=goddd --
-- #Comment=goddd Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontD)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB15 = function(action)
-- #GroupDescription=eureka --
-- #Comment=eureka Comment --
if   action == "Button2" then
Wherigo.MessageBox{Text=[[Errare Humanum est.... C'est bon pour cette fois, Tachez de repondre mieux la prochaine fois]],Media=zmediapatrouille,Buttons={"merci",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB42}
else
compteur = compteur + 1
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontD)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB16 = function(action)
if action ~= nil then
-- #GroupDescription=repjule --
-- #Comment=repjule Comment --
Wherigo.MessageBox{Text=[[psst psst !! pssst ! Je vous donne un indice. Il s'gait d'une phrase celebre attribuee a Jules Cesar dans sa "Guerre des Gaules".....]],Media=zmedialegionaireetonne,Buttons={"Vini Vidi Vici","Ite Missa Est",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB15}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB43 = function(action)
if action ~= nil then
-- #GroupDescription=onvaaue --
-- #Comment=onvaaue Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontE)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB24 = function(action)
-- #GroupDescription=trou9aa --
-- #Comment=trou9aa Comment --
if   action == "Button1" then
Wherigo.MessageBox{Text=[[Non il faudrais mieux lire...... Pasez au poste suivant]],Media=zmediaasterixfaux,Buttons={"on y va",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB43}
else
compteur = compteur + 1
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontE)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB28 = function(action)
if action ~= nil then
-- #GroupDescription=fonce --
-- #Comment=fonce Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneFinale)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB33 = function(action)
-- #GroupDescription=repvillage --
-- #Comment=repvillage Comment --
if   action == "Button1" then
compteur = compteur + 1
Wherigo.MessageBox{Text=[[Bravo mais vais-je faire preuve de magnanimite et vous laissez rejoindre la cache ? Avez-vous le nombre de points requis ou demandez-vous grace ?]],Buttons={"soyez sympa....",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB32}
else
Wherigo.MessageBox{Text=[[Vous n'avez vraiment pas de chance ou vous le faite express ? Bon pas grave je vous laisse rejoindre votre tresor....]],Media=zmediaasterixfaux,Buttons={"merci",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB34}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB35 = function(action)
if action ~= nil then
-- #GroupDescription=merciddd --
-- #Comment=merciddd Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneFinale)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB36 = function(action)
if action ~= nil then
-- #GroupDescription=promis --
-- #Comment=promis Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zoneFinale)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB37 = function(action)
-- #GroupDescription=venoge --
-- #Comment=venoge Comment --
if   action == "Button1" then
Wherigo.MessageBox{Text=[[Bravo enfin une bonne reponse. Je vais etre magnanime. Je vous laisse rejoindre votre cache finale..]],Media=zmediatriomphe2,Buttons={"sympa merci",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB35}
else
Wherigo.MessageBox{Text=[[Vous le faite express ? Je renonce allez ! rendez-vous sur votre cache finale mais promettez-moi de reviser votre culture sur "Nos ancetres les Gaulois" et la geographie...]],Media=zmediaasterixfaux,Buttons={"promis",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB36}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB29 = function(action)
-- #GroupDescription=repponte --
-- #Comment=repponte Comment --
if   action == "Button1" then
Wherigo.MessageBox{Text=[[Encore une erreur.... Vous le faite express ? Encore une question : Quel est le nom du chef du village des "Fous" (Dixit certains legionnaires romains) ]],Media=zmediatriomphe,Buttons={"Abraracourcix","Panoramix",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB33}
else
Wherigo.MessageBox{Text=[[Pas mal ! Que puis-je vous demander encore ? Quel cours d'eau n'est pas commun aux deux cantons de Fribourg et de Vaud ?]],Media=zmediasentinelle,Buttons={"La Venoge","La Broyes",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB37}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB7 = function(action)
if action ~= nil then
-- #GroupDescription=suitebf --
-- #Comment=suitebf Comment --
Wherigo.ShowScreen(Wherigo.DETAILSCREEN,zonePontC)
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB9 = function(action)
-- #GroupDescription=reppel --
-- #Comment=reppel Comment --
if   action == "Button1" then
Wherigo.MessageBox{Text=[[Non il s'agissait de St Jacques de Compostelle. Desole pas de point pour cette fois. Vous ne connaissiez pas ceci ? J'en suis etonne !]],Media=zmedialegionnaireetonne,Buttons={"la suite",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB7}
else
compteur = compteur + 1
Wherigo.MessageBox{Text=[[BRAVO ! Encore un point. Voyons le pont suivant]],Media=zmediaasterixvictoire,Buttons={"la suite",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB8}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB2 = function(action)
-- #GroupDescription=1ereuqestion --
-- #Comment=1ereuqestion Comment --
if   action == "Button1" then
compteur = compteur + 1
Wherigo.MessageBox{Text=[[Bien joue, un premier point pour vous ! Alors partons pour le premier pont]],Media=zmediapontrail,Buttons={"je le vois et j'y vais",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB38}
else
Wherigo.MessageBox{Text=[[Pas de chance il s'agissait de la Sarine. La Merine coule a Moudon, non loin de vous. Voici une 2eme question pour vous aider a collecter votre premier point : Dans quel canton etes-vous ?]],Media=zmediaasterixfaux,Buttons={"Fribourg","Vaud",},Callback=cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB39}
end
end

cartLes5Ponts.MsgBoxCBFuncs.MsgBoxCB18 = function(action)
if action ~= nil then
-- #GroupDescription=finfin --
-- #Comment=finfin Comment --
cartLes5Ponts.Complete = true
Wherigo.Command("SaveClose")
end
end

------End Builder Generated callbacks, Do not Edit, this will be overwritten------
-- #Author Functions Go Here# --
-- #End Author Functions# --
-- Nothing after this line --
return cartLes5Ponts
